Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.qd
Class QDFont

    java.lang.Object
      |
      +--quicktime.qd.QDFont

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class QDFont
extends java.lang.Object
implements quicktime.jdirect.QuickTimeLib

This class provides basic services for translating font information from Java fonts to the font information that QuickTime requires.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Constructor Summary
`QDFont()`

Method Summary
`static int` | `getFNum(java.lang.String theName)` The GetFNum procedure gets the font family ID for a specified font family name.
`static java.lang.String` | `getFontName(int familyID)` The GetFontName procedure gets the name of a font family that has a specified family ID number.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QDFont

    public QDFont()

Method Detail

### getFontName

    public static final java.lang.String getFontName(int familyID)

  The GetFontName procedure gets the name of a font family that has a specified family ID number.
  QuickDraw::GetFontName()
  Parameters:
    `the` - familyID of the font you want to retrieve the name for.
  Returns:
    the name of the font. If the font specified in the familyID parameter does not exist, theName contains an empty string.

### getFNum

    public static final int getFNum(java.lang.String theName)

  The GetFNum procedure gets the font family ID for a specified font family name.
  QuickDraw::GetFNum()
  Parameters:
    `theName` - The font family name
  Returns:
    the familyID that corresponds to the supplied font family name. If the font specified in the parameter theName does not exist, familyID contains 0.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD